Skip to main content
POST
Ships a package by setting the shipping date.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

packageId
string<uuid>
required

The ID of the package to be shipped.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

Request model for ShipPackage command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.

shippingDate
string<date-time>

The shipping date. When not set, the package is shipped as of now.

trackingNumber
string

The tracking number. When not set, the package is shipped without tracking.

overwrite
boolean

Specifies whether a package's shipping information should be overwritten if the package has already been shipped. Defaults to false, in which case shipping an already shipped package is rejected.

Response

The package has successfully been shipped.

Ships a package by setting the shipping date. - Response

package
object
required

The package that has been shipped successfully.

overwritten
boolean
required

Indicates whether existing shipping information for a package has been overwritten or not.